# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'menus/version'

Gem::Specification.new do |spec|
  spec.name          = "menus"
  spec.version       = Menus::VERSION
  spec.authors       = ["Alexis Rodríguez Casañas y David Dorta Acosta"]
  spec.email         = ["alu0100711837, alu0100851236@ull.edu.es"]

  spec.summary       = %q{Practica 06 Desarrollo Dirigido por Pruebas (TDD).}
  spec.description   = %q{Desarrollar una clase Ruby para representar menús de una Dieta.}
  spec.homepage      = "https://github.com/alu0100851236/prct06.git"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
=begin
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end
=end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "guard-bundler"
end
